package sun.java2d.opengl;

import sun.java2d.pipe.Region;
import java.awt.Composite;
import sun.java2d.SurfaceData;
import sun.java2d.loops.CompositeType;
import sun.java2d.loops.SurfaceType;
import sun.java2d.loops.ScaledBlit;

class OGLSwToSurfaceScale extends ScaledBlit
{
    private int typeval;
    
    OGLSwToSurfaceScale(SurfaceType srctype, int typeval) {
        super(srctype, CompositeType.AnyAlpha, OGLSurfaceData.OpenGLSurface);
        this.typeval = typeval;
    }
    
    @Override
    public void Scale(SurfaceData surfaceData, SurfaceData surfaceData2, Composite composite, Region region, int n, int n2, int n3, int n4, double n5, double n6, double n7, double n8) {
        OGLBlitLoops.Blit(surfaceData, surfaceData2, composite, region, null, 1, n, n2, n3, n4, n5, n6, n7, n8, this.typeval, false);
    }
}
